=== debian/control ===
Source: tardiff
Section: utils
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: http://tardiff.coolprojects.org/
Vcs-Git: https://salsa.debian.org/debian/tardiff.git
Vcs-Browser: https://salsa.debian.org/debian/tardiff
Rules-Requires-Root: no

Package: tardiff
Architecture: all
Depends: libtext-diff-perl,
         ${misc:Depends},
         ${perl:Depends}
Suggests: diffoscope-minimal | diffoscope
Description: Tarball file list comparison tool
 TarDiff is a simple tool that compares the contents of two tarballs
 and reports primarily file list differences found between them.
 .
 It can also list files which only had modified content, but are
 present in both tarballs. It though does not show the actually
 content differences, just which files differ.
 .
 Its use is mainly for release managers who can use it as a QA tool to
 make sure no files have accidentally been left over or were added by
 mistake. TarDiff supports compressed tarballs, diff statistics and
 suppression of GNU autotool changes.
 .
 For more detailed diffs like e.g. finding different timestamps inside
 a tar ball or similar minimal changes which still cause differences
 in hashsums or make a few bytes size difference, please have a look
 at diffoscope or the diffoscope-minimal package. Diffoscope can also
 compare many more file types than just tarballs, but also has more
 hard dependencies and a lot of optional dependencies for specific
 file formats.
